Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.ejb
Class AmInvocationHandlerImpl

`java.lang.Object
oracle.jbo.client.ejb.AmInvocationHandlerImpl`

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

public class AmInvocationHandlerImpl
extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`protected java.lang.Object` | `invokeBeanMethod(java.lang.reflect.Method method, java.lang.Object[] args)`
`protected java.lang.Boolean` | `proxyEquals(java.lang.Object proxy, java.lang.Object other)`
`protected java.lang.Integer` | `proxyHashCode(java.lang.Object proxy)`
`protected java.lang.String` | `proxyToString(java.lang.Object proxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

### proxyHashCode

    protected java.lang.Integer proxyHashCode(java.lang.Object proxy)

### proxyEquals

    protected java.lang.Boolean proxyEquals(java.lang.Object proxy,
                                            java.lang.Object other)

### proxyToString

    protected java.lang.String proxyToString(java.lang.Object proxy)

### invokeBeanMethod

    protected java.lang.Object invokeBeanMethod(java.lang.reflect.Method method,
                                                java.lang.Object[] args)
                                         throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.